#include <stdio.h>
#include "html.h"

void text_print(char *c){
  while (*c != '\0') {
    switch (*c) {
      case '<':
        printf("&lt;");
        break;

      case '>':
        printf("&gt;");
        break;

      case '\n':
        printf("<br>\n");
        break;

      case '&':
        printf("&amp;");
        break;

      default:
        putchar(*c);
        break;
    }
    c++;
  }
}

void open_tag(int color_constant){
  char *color_string;
  switch (color_constant) {
    case C_BLUE:
      color_string = "00007f";
      break;

    case C_GREEN:
      color_string = "007f00";
      break;

    case C_CYAN:
      color_string = "007f7f";
      break;

    case C_RED:
      color_string = "7f0000";
      break;

    case C_WHITE:
      color_string = "000000";
      break;

    case C_LBLUE:
      color_string = "0000ff";
      break;

    case C_LGREEN:
      color_string = "00ff00";
      break;

    case C_LCYAN:
      color_string = "00ffff";
      break;

    case C_LRED:
      color_string = "ff0000";
      break;

    default:
      break;
  }
  printf("<FONT color=%s>", color_string);
}

void close_tag(void){
  printf("</FONT>");
}
