#include "lex.yy.h"
#include "html.h"

void init(const char *source_name) {
  printf("<HTML>\n");
  printf("<BODY bgcolor = #FFFFFF>\n");
  printf("<H2>%s</H2>\n", source_name);
  printf("<CODE>\n");
}

void parse_end() {
  printf("</BODY>\n");
  printf("</HTML>\n");
}

int main(int argc, char const *argv[]) {
  yyin = fopen(argv[1], "r");
  init(argv[1]);
  yylex();
  parse_end();
  fclose(yyin);
  return 0;
}
